package ru.yandex.wmconsole.data.info;

import ru.yandex.wmconsole.data.VerificationStateEnum;
import ru.yandex.wmconsole.verification.VerificationTypeEnum;

/**
 * Created by IntelliJ IDEA.
* User: senin
* Date: 22.03.2007
* Time: 21:43:03
*/
public class UserDbHostInfo extends ShortHostInfo {
    private final Long urlErrors;
    private final Long urlErrorsTrend;
    private final boolean isMainMirror;

    public UserDbHostInfo(long id, String name, VerificationStateEnum verificationState,
                          VerificationTypeEnum verificationType, Long urlErrors, Long urlErrorsTrend, boolean isMainMirror) {
        super(id, name, verificationState, verificationType);
        this.urlErrors = urlErrors;
        this.urlErrorsTrend = urlErrorsTrend;
        this.isMainMirror = isMainMirror;
    }

    public Long getUrlErrors() {
        return urlErrors;
    }

    public Long getUrlErrorsTrend() {
        return urlErrorsTrend;
    }

    public boolean isMainMirror() {
        return isMainMirror;
    }
}
